| OrbbecSDK 1.10.18 OrbbecSDK: Software-Development-Kit for Orbbec 3D Cameras

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ob::Recorder Class Reference

`#include <RecordPlayback.hpp>`

## Public Member Functions
| Recorder ()
| Create a recorder for data recording.
| Recorder (std::unique_ptr< RecorderImpl > impl)
| Recorder (std::shared_ptr< Device > device)
| Create a recorder for data recording.
virtual | ~Recorder () noexcept
void | start (const char *filename, bool async=false)
| Enable the recorder. Throws an exception on failure.
void | stop ()
| Stop the recorder. Throws an exception on failure.
void | write (std::shared_ptr< Frame > frame)
| Write frame data to the recorder.

## Detailed Description

Definition at line 23 of file RecordPlayback.hpp.

## Constructor & Destructor Documentation

## ◆ Recorder() [1/3]

ob::Recorder::Recorder | ( |  | ) |

Create a recorder for data recording.

## ◆ Recorder() [2/3]

ob::Recorder::Recorder | ( | std::unique_ptr< RecorderImpl > | impl | ) |

## ◆ Recorder() [3/3]

ob::Recorder::Recorder | ( | std::shared_ptr< Device > | device | ) |

Create a recorder for data recording.

Parameters

  device | The device for which to record device information.

## ◆ ~Recorder()

virtual ob::Recorder::~Recorder | ( |  | ) |
| virtual noexcept

## Member Function Documentation

## ◆ start()

void ob::Recorder::start | ( | const char * | filename,
|  | bool | async = `false`
| ) |  |

Enable the recorder. Throws an exception on failure.

Parameters

  filename | The name of the recorded file.
  async | Whether to execute asynchronously.

## ◆ stop()

void ob::Recorder::stop | ( |  | ) |

Stop the recorder. Throws an exception on failure.

## ◆ write()

void ob::Recorder::write | ( | std::shared_ptr< Frame > | frame | ) |

Write frame data to the recorder.

Parameters

  frame | The frame data to write.

The documentation for this class was generated from the following file:

- E:/Projects/Jenkins/workspace/OrbbecSDK/libobsensor/include/libobsensor/hpp/RecordPlayback.hpp